<template>
	<main v-if="!isLoading">
<!--		Event Preview Cards-->
		<template class="cards cards--dual" v-for="(event, index) in eventList">
			<event-preview-card :event="event" :index="index" :key="index" />
		</template>
	</main>

	<loader v-else />
</template>

<script>
import Loader from "@/components/Loader";
import EventPreviewCard from "@/components/EventPreviewCard";

export default {
	name: "Home",
	title: "Home",
	components: {
		Loader,
		EventPreviewCard
	},
	data: () => ({
		isLoading: false,
		eventList: Object
	}),
	methods: {
		async loadEvents() {
			try {
				this.isLoading = true;
				const date = new Date();
				const response = await this.$http.get("/api/events/month/" + date.getFullYear() + "/" + (date.getMonth() + 1));
				this.eventList = response.data
				this.isLoading = false;
			} catch (e) {
				console.error(e.response);
			}
		}
	},
	mounted() {
		this.loadEvents();
	}
}
</script>

<style scoped>

</style>